Skip to main content
POST
/
v1
/
downloads
Create a download request
curl --request POST \
  --url https://devx.{environment}.oleria.io/v1/downloads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "error": {
    "code": "<string>",
    "message": "<string>"
  },
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oleria.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Input object to create a download request

context
enum<string>
required

The page context for the download request, determines which data to download

Available options:
accessInventoryAccounts,
accessInventoryApplicationAccountsV2,
accessInventoryApplicationInstancesV2,
accessInventoryEmployeesV2,
accessInventoryGroupsV2,
accessInventoryIdentitiesV2,
accessInventoryNhiV2,
accessInventoryResourceInstancesV2,
accessInventoryRolesV2,
accessRequests,
accountUtilization,
activityAnalysis,
applicationAccounts,
employeeAccessInsights,
employees,
externalAccessUsers,
externalAnonymousAccess,
externalSharedAssets,
groupUtilizationAccounts,
identities,
identityAssessmentEntitlementUtilization,
identityAssessmentResourceInstanceUtilization,
identityAssessmentRiskDownload,
identityAssessmentSimilarGroups,
ilmEmployeeEvents,
ilmWorkflowEmployeeEvents,
oleriaUsers,
resourceInstances,
riskMonitoringDetail,
risks,
risksV2,
unmanagedApplications,
userGroup
params
object

Response

Identical download request already exists and is returned

Tracks the status of a download request

id
string<uuid>
required
status
enum<string>
required
Available options:
accepted,
completed,
failed
error
object
url
string